/* -------------------------------------------------------------------------- */
/*                             JAVASCRIPT VISION                              */
/*                             Character Methods                              */
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* Author: Gary S. Krajci                                                     */
/* Email: gary.s.krajci@bigfoot.com                                           */
/* Company: Roaring Fork Software                                             */
/* Date: April 19, 1999                                                       */
/* URL: http://www.roaringforksoftware.com/JSV/                               */
/* Script Type: JavaScript                                                    */
/* -------------------------------------------------------------------------- */

String.prototype.isAlpha = _isAlpha;
function _isAlpha() {
    return JSV_isAlpha(this);
}

String.prototype.isDigit = _isDigit;
function _isDigit() {
    return JSV_isDigit(this);
}

String.prototype.isLower = _isLower;
function _isLower() {
    return JSV_isLower(this);
}

String.prototype.isUpper = _isUpper;
function _isUpper() {
    return JSV_isUpper(this);
}

function JSV_isAlpha(expC) {
	return JSV_isLower( expC.toLowerCase() );
}

function JSV_isDigit(expC) {
	return (expC < "0" || expC > "9") ? false : true;
}

function JSV_isLower(expC) {
	return (expC < "a" || expC > "z") ? false : true;
}

function JSV_isUpper(expC) {
	return (expC < "A" || expC > "Z") ? false : true;
}
