/* -------------------------------------------------------------------------- */
/*                             JAVASCRIPT VISION                              */
/*                              Dialog  Methods                               */
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* Author: Gary S. Krajci                                                     */
/* Email: gary.s.krajci@bigfoot.com                                           */
/* Company: Roaring Fork Software                                             */
/* Date: October 15, 2000                                                     */
/* Script Type: JavaScript                                                    */
/* URL: http://www.iwl.net/customers/gkrajci/JSV/                             */
/* -------------------------------------------------------------------------- */

var JSV_use_IE_Dialog = document.all;

function JSV_alert(title, msg, icon, modality) {
	( JSV_use_IE_Dialog ) ? 
		makeMsgBox(	title, msg, ( icon == null ? 3 : icon ), 0, 0, ( modality == 1 ? 1 : 0 ) ) : 
		alert(msg);
}

function JSV_confirm(title, msg, icon, buttonGroup, defaultButton, modality) {
	var confirmed = false;
	if ( JSV_use_IE_Dialog ) {
		buttonGroup = ( buttonGroup == null ? 4 : buttonGroup );
		if ( buttonGroup != 1 && buttonGroup != 4 ) buttonGroup = 4;
		confirmed = makeMsgBox(	title, 
								msg, 
								( icon == 0 ? 0 : 2 ), 
								buttonGroup, 
								( defaultButton == 1 ? 1 : 0 ), 
								( modality == 1 ? 1 : 0 ) 
							);
		confirmed = ( confirmed == 1 || confirmed == 6 ? true : false );
	}
	else {
		confirmed = confirm(msg);
	}
	return confirmed;
}

function JSV_prompt(title, msg, defaultMsg) {
	return ( ( JSV_use_IE_Dialog ) ? makeInputBox(title, msg, defaultMsg) : prompt(msg, defaultMsg) );
}

function JSV_ieBox(title, msg, icon, buttons, defaultButton, modality) {
	return ( ( JSV_use_IE_Dialog ) ? makeMsgBox(title, msg, icon, buttons, defaultButton, modality) : null );
}
